## python-h5netcdf 1.6.4

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = $(CURDIR)
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-h5netcdf 0.3.1

=== debian/changelog ===
python-h5netcdf (0.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #851378)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Feb 2017 13:42:31 +0000

=== debian/control ===
Source: python-h5netcdf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-h5py <!nocheck>,
               python3-netcdf4 <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-h5netcdf.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-h5netcdf.git
Homepage: https://github.com/shoyer/h5netcdf
X-Python3-Version: >= 3.4

Package: python3-h5netcdf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: netCDF4 support for Python 3 via h5py
 A Python interface for the netCDF4 file-format that reads and writes HDF5
 files API directly via h5py, without relying on the Unidata netCDF library.
 .
 This package provides the Python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = h5netcdf
export PYBUILD_TEST_ARGS = {dir}/h5netcdf/tests
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-h5netcdf 0.4.3

=== debian/changelog ===
python-h5netcdf (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3 (Closes: #877150)
  * Drop the patch queue, no longer required
  * Clean egg-info directory using extend-diff-ignore
  * Drop superfluous nocheck guards in rules file
  * Ensure tests are run in isolation during build
  * Fixup the whitespacing in rules file
  * Normalize the package descriptions
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 11 Oct 2017 17:13:50 +0100

## python-h5netcdf 0.5.0

=== debian/changelog ===
python-h5netcdf (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 10:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-netcdf4 <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-h5netcdf.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-h5netcdf.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf
 X-Python3-Version: >= 3.4
@@ -21,8 +21,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Description: netCDF4 support for Python 3 via h5py
+Description: netCDF4 support via h5py for Python 3
  A Python interface for the netCDF4 file-format that reads and writes HDF5
  files API directly via h5py, without relying on the Unidata netCDF library.
  .
- This package provides the Python 3 modules.
+ This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=h5netcdf
export PYBUILD_BEFORE_TEST=cp -r {dir}/h5netcdf/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

## python-h5netcdf 0.7.1

=== debian/changelog ===
python-h5netcdf (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1 (Closes: #915260)
  * Drop obsolete get-orig-source target
  * Drop obsolete X-Python3-Version
  * Update package description
  * Update VCS URIs
  * Bump debhelper version to 12
  * Bump standards version to 4.3.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 03 Apr 2019 10:43:04 +0200

=== debian/control ===
Source: python-h5netcdf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-h5py <!nocheck>,
               python3-netcdf4 <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
Homepage: https://github.com/shoyer/h5netcdf

Package: python3-h5netcdf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: netCDF4 support via h5py for Python 3
 A Python interface for the netCDF4 file-format that reads and writes local or
 remote HDF5 files directly via h5py or h5pyd, without relying on the Unidata
 netCDF library.
 .
 This package provides the modules for Python 3.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/h5netcdf/h5netcdf@ANY_VERSION@@ARCHIVE_EXT@

## python-h5netcdf 0.8.1

=== debian/changelog ===
python-h5netcdf (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch h5py3_string_decode_PR82.patch applies upstream PR82
    to fix string handling with h5py 3. Closes: #974179.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Jan 2021 04:08:26 +1100

python-h5netcdf (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - drop debian patch h5py_File_mode.patch, applied upstream
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jul 2020 14:29:07 +0800

python-h5netcdf (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.0
  * mark debhelper compatibility with
    Build-Depends: debhelper-compat (= 12)
  * debian patch h5py_File_mode.patch fixes a couple more h5py File
    modes missed in the new release.  Closes: #955596.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 19:14:40 +0800

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a h5netcdf/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest tests
 ; done
Depends: @, python3-all, python3-netcdf4, python3-pytest

## python-h5netcdf 0.12.0

=== debian/changelog ===
python-h5netcdf (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - drops h5netcdf/_chainmap.py
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jan 2022 19:43:22 +0100

python-h5netcdf (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Install README.rst with docs.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Aug 2021 02:07:20 +0200

python-h5netcdf (0.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - supports h5py 3 with variable string lengths
      (drop debian patch h5py3_string_decode_PR82.patch)

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Feb 2021 13:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
@@ -11,7 +11,7 @@
                python3-netcdf4 <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
 Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf

## python-h5netcdf 1.0.2

=== debian/changelog ===
python-h5netcdf (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - fixes use with h5py 3.7.0. Closes: #1016525.
    - deprecates debian patch setuptools-scm.patch
  * mark python-h5netcdf-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Aug 2022 14:29:18 +0200

python-h5netcdf (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #1013754)
  * Add patch to not use setuptools_scm to regenerate _version.py.
  * Use doc section for python-h5netcdf-doc.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jun 2022 10:44:56 +0200

python-h5netcdf (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * source upload to allow python-h5netcdf-doc to migrate to testing

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Apr 2022 02:20:27 +0200

python-h5netcdf (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * provide documentation in python-h5netcdf-doc
    - Build-Depends: python3-sphinx, python3-sphinx-book-theme

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Apr 2022 03:47:48 +0200

python-h5netcdf (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Apr 2022 02:51:20 +0200

python-h5netcdf (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Mar 2022 10:35:11 +0100

python-h5netcdf (0.14.1-2) unstable; urgency=medium

  * Team upload.
  * drop debian patch prevent_upstream_version_corruption.patch and
    add Build-Depends: python3-setuptools-scm. setuptools-scm
    configuration is then handled by pybuild setting the
    SETUPTOOLS_SCM_PRETEND_VERSION variable to not rewrite the
    version file. Closes: #1006851.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Mar 2022 15:55:58 +0100

python-h5netcdf (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian patch prevent_upstream_version_corruption.patch prevents
    setup.py from corrupting its own version file with reference to
    the local git repo. See Bug#1006851,
    https://github.com/h5netcdf/h5netcdf/issues/156
  * Build-Depends: pybuild-plugin-pyproject
  * clean detritus left after build-time tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Mar 2022 23:02:08 +0100

## python-h5netcdf 1.1.0

=== debian/changelog ===
python-h5netcdf (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Nov 2022 20:49:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-sphinx-book-theme <!nodoc>,
                python3-h5py <!nocheck>,
                python3-netcdf4 <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-sphinx <!nodoc>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
 Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf
@@ -26,3 +29,17 @@
  netCDF library.
  .
  This package provides the modules for Python 3.
+
+Package: python-h5netcdf-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
+Description: netCDF4 support via h5py (documentation)
+ A Python interface for the netCDF4 file-format that reads and writes local or
+ remote HDF5 files directly via h5py or h5pyd, without relying on the Unidata
+ netCDF library.
+ .
+ This package provides the documentation for h5netcdf.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,13 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink
+execute_after_dh_auto_build:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N doc/ $(CURDIR)/.pybuild/docs/html
+	rm -r $(CURDIR)/.pybuild/docs/html/_static/__pycache__
+endif
+
+execute_after_dh_auto_test:
+	rm -f .pybuild/cpython3_*_h5netcdf/build/test*.nc

## python-h5netcdf 1.2.0

=== debian/changelog ===
python-h5netcdf (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * use standard build-time test handling, drop special handling
    - but run tests with the verbose flag
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 12:01:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=h5netcdf
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -N doc/ $(CURDIR)/.pybuild/docs/html
	rm -r $(CURDIR)/.pybuild/docs/html/_static/__pycache__
endif

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,6 @@
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; $py -m pytest tests
+ ; $py -m pytest -v tests
  ; done
 Depends: @, python3-all, python3-netcdf4, python3-pytest

## python-h5netcdf 1.3.0

=== debian/changelog ===
python-h5netcdf (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * dh_clean: remove generated doc files. Closes: #1046325.
  * test_ros3 requires internet to test reading cloud file
    - skip at build time (internet not available on debian buildds)
    - debian/tests: add Restrictions: needs-internet

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Nov 2023 11:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
 Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=h5netcdf
-export PYBUILD_TEST_ARGS=-v
+export PYBUILD_TEST_ARGS=-v -k "not test_ros3"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+execute_after_dh_clean:
+	rm -rf doc/generated
 
 execute_after_dh_auto_build:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
  ; $py -m pytest -v tests
  ; done
 Depends: @, python3-all, python3-netcdf4, python3-pytest
+Restrictions: needs-internet

## python-h5netcdf 1.4.1

=== debian/changelog ===
python-h5netcdf (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_tests_PR244.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2024 23:17:49 +0100

python-h5netcdf (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * replace debian patches 32bit_skip_complex_type_creation.patch and
    test_h5py_TypeError.patch with fix_tests_PR244.patch, applying
    upstream PR#244 to fix tests. Closes: #1087199.

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Nov 2024 00:08:15 +0100

python-h5netcdf (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch 32bit_skip_complex_type_creation.patch works around
    32-bit complex type test failure. See Bug#1087199.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Nov 2024 15:30:00 +0100

python-h5netcdf (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-packaging
  * use pybuild build_dir to build docs
  * ignore pycache dir in doc build if it wasn't created
  * add debian patches
    - doc_no_sphinx_book_theme.patch disables use of sphinx-book-theme
      in docs. sphinx-book-theme is essentially unusable, requiring a
      specific nodejs version which is not available.
    - test_h5py_TypeError.patch catches h5py exception as TypeError
      not KeyError. See upstream Issue#236.
  * remove generated test files after buildtime testing
  * Standards-Version: 4.7.0
  * debian/tests: run tests with and without internet access (ros3)

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Nov 2024 14:18:45 +0100

## python-h5netcdf 1.5.0

=== debian/changelog ===
python-h5netcdf (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Feb 2025 20:12:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-sphinx-book-theme <!nodoc>,
                python3-h5py <!nocheck>,
                python3-netcdf4 <!nocheck>,
+               python3-packaging,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
 Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf

## python-h5netcdf 1.6.1

=== debian/changelog ===
python-h5netcdf (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 12:06:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=h5netcdf
export PYBUILD_TEST_ARGS=-v -k "not test_ros3"

PY3DEF = $(shell py3versions -vd)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf doc/generated

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`pybuild -p $(PY3DEF) --print "{build_dir}"` sphinx-build -b html -N doc/ $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/_static/__pycache__
endif

execute_after_dh_auto_test:
	rm -rf .pybuild/*/build/test.nc

## python-h5netcdf 1.6.4

=== debian/changelog ===
python-h5netcdf (1.6.4-2) unstable; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from python3-h5py. Closes: #1116861.
  * Add debian/salsa-ci.yml.

  [ Drew Parsons ]
  * debian patch skip_missing_internet_test.patch skips the internet
    test (test_ros3) if its URL cannot be accessed (currently not
    available, see upstream Issue#295)

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Oct 2025 20:15:00 +0200

python-h5netcdf (1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Aug 2025 01:30:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-h5py <!nocheck>,
+               python3-h5py,
                python3-netcdf4 <!nocheck>,
                python3-packaging,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-h5netcdf
 Vcs-Git: https://salsa.debian.org/science-team/python-h5netcdf.git
 Homepage: https://github.com/shoyer/h5netcdf

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a h5netcdf/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests -k "not ros3"
 ; done
Depends: @, python3-all, python3-netcdf4, python3-pytest

Test-Command: set -e
 ; cp -a h5netcdf/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests -k ros3
 ; done
Depends: @, python3-all, python3-netcdf4, python3-pytest
Restrictions: needs-internet
